Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.6

Description

But they are working fine in comments. Also, the preview tab for the description field works also fine, so the html-encoding is

probably done during save (or load?) time.

For example:

 <pre>blabla</pre> 

 becomes

&lt;pre&gt;blabla&lt;/pre&gt;

 after saving, and opening for re-edit.

The problem appeared after upgrading to 4.0.6 from 2.4 (step-by-step of course, installing each major version).

I would first like to ask other 4.0 users if this bug exists for them, too.

Environment:

  Redmine version                4.0.6.stable

  Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

  Rails version                  5.2.4.1

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.10.4

  Git                            2.20.1

  Filesystem                     

  Xitolite                       2.20.1

Redmine plugins:

  additionals                    2.0.22-1

  allmyissues                    0.0.1

  issue_hot_buttons              0.4.4

  line_numbers                   1.0.0

  my_projects                    1.4

  periodictask                   4.1.0

  redmine_bootstrap_kit          0.2.5

  redmine_favourite_projects     1.0

  redmine_git_hosting            4.0.1

  redmine_people                 1.4.0

  redmine_reminder               0.2.2

  status_button                  0.1.0

History

#1 - 2020-07-04 03:36 - Go MAEDA

- Status changed from New to Needs feedback

I could not reproduce the issue. Could you check if the issue occurs without third-party plugins?
#2 - 2020-07-07 10:27 - Pallinger Péter

You were right, it was the issue_hot_buttons plugin that caused the error. You can close the issue, and I will try to fix the plugin if possible...

If anyone finds this issue, I managed to fix it using a commit I found: 

https://github.com/pallinger/issue_hot_buttons/commit/9cf97b771e880ec892ed00ef05a6eca5db3c829d.

#3 - 2020-07-08 04:29 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thank you for giving your feedback and sharing the fix. Closing.
